1


0

Flex 3.2から4.0への移行

Flex 3.2でビルドされたアプリがあり、同じアプリ内でいくつかのスパークコンポーネントの使用を開始したいと考えています。 注意すべき落とし穴はありますか。 同じアプリで古い3.2コンポーネントを使用することは可能ですか、それとも再構築する必要がありますか。 私が急落する前に、同じことをした人から頭を上げたいです。

ありがとう

2 Answer


2


この投稿にはかなり良い情報があります-https://stackoverflow.com/questions/1650347/migrating-to-flex-4[Flex 4への移行]

いくつかのレイアウトに関しては、Halo / Sparkコンポーネントのミキシングとマッチングに関するいくつかの小さな問題に遭遇する可能性がありますが、一般にそれらは並んでうまく機能します。

SparkコンポーネントはHaloよりもCSSフレンドリではないため、主要な問題はCSSです。

Ryan


1


私の知る限り、Flex 3.2のHaloコンポーネントを拡張/ベースにしたカスタムコンポーネントは、デフォルトのHaloコンポーネントと同様に引き続き機能します。